Bug 144606 - [Patch] Enable devel/rubygem-rake to be installed under Ruby 1.9.1 (rake included with 1.9.1 is older than the port)
Summary: [Patch] Enable devel/rubygem-rake to be installed under Ruby 1.9.1 (rake incl...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ruby (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-10 02:00 UTC by Aaron D. Gifford
Modified: 2010-08-31 04:30 UTC (History)
0 users

See Also:


Attachments
file.diff (355 bytes, patch)
2010-03-10 02:00 UTC, Aaron D. Gifford
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Aaron D. Gifford freebsd_committer 2010-03-10 02:00:11 UTC
Several Ruby ports are disabled in the port Makefile when using Ruby 1.9.1 as the default version under FreeBSD because 1.9.1 includes the functionality the port added under 1.8.x.

HOWEVER, the versions included with 1.9.1 are a bit older than the ports versions.  The BEST way, IMHO, to upgrade is to use the ports system.  Hence, the ports in question need to be re-enabled to work under 1.9.1 for those ports where the port version is newer than the included version in 1.9.1.

The rake port is one of these.

The fix is a VERY SIMPLE Makefile change (see patch below)

Striving towards Ruby 1.9.1 being a first-class FreeBSD citizen,
Aaron out.

Fix: PATCH to port Makefile:
Comment 1 Gavin Atkinson freebsd_committer freebsd_triage 2010-03-10 14:24:13 UTC
Responsible Changed
From-To: freebsd-bugs->ruby

Pass this PR to ruby@ rather than devel/rubygem-rake maintainer.  Although 
there is a patch in the PR for devel/rubygem-rake, it sounds like the 
submitter sees this as a wider issue than just affecting that one port.
Comment 2 Philip M. Gollucci freebsd_committer 2010-05-27 19:12:22 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 Philip M. Gollucci freebsd_committer 2010-05-27 19:12:40 UTC
State Changed
From-To: closed->open

reopen
Comment 4 Philip M. Gollucci freebsd_committer 2010-05-27 19:12:52 UTC
State Changed
From-To: open->closed

see see ports/147137
Comment 5 dfilter service freebsd_committer 2010-08-31 04:28:14 UTC
pgollucci    2010-08-31 03:28:05 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.ruby.mk 
    devel/rubygem-rake   Makefile 
  Log:
  - Fix www/rubygem-passenger under lang/ruby19 [1]
  - Fix www/rubygem-rake under lang/ruby19 [2]
  
  PR:             ports/147137 [3], ports/143661 [1], ports/144606 [2]
  Submitted by:   myself (pgollucci),
                  Jyun-Yan You <jyyou@cs.nctu.edu.tw> [1]
                  "Aaron D. Gifford" <Aaron.D.Gifford@FreeBSD.org> [2]
  Approved by:    maintainer timeout (stas) [3] / myself
  With Hat:       ruby
  
  Revision  Changes    Path
  1.197     +7 -6      ports/Mk/bsd.ruby.mk
  1.22      +4 -7      ports/devel/rubygem-rake/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"